package com.sjkj.appthreefloor_tsgz.activity.viewModel;

import androidx.databinding.ObservableArrayList;
import androidx.databinding.ObservableField;
import androidx.databinding.ObservableInt;

import com.sjkj.appthreefloor_tsgz.bean.EventBean;
import com.sjkj.appthreefloor_tsgz.map.MapMarkBean;
import com.sjkj.base_lib.view.SingleLiveData;
import com.sjkj.base_lib.vm.BaseViewModel;

import java.util.List;

public class EventCenterViewModel extends BaseViewModel {
    public ObservableField<String> NameValues = new ObservableField<>();
    public ObservableInt version = new ObservableInt();
    public ObservableField<List<String>> EventPhones = new ObservableField<>();
    public ObservableField<List<MapMarkBean>> markListBean = new ObservableField<>();
    public ObservableField<String> title = new ObservableField<>("");
    public ObservableField<String> address = new ObservableField<>("");
    public ObservableField<String> eventCode = new ObservableField<>("");
    public ObservableField<String> eventId = new ObservableField<>("");
    public ObservableField<String> keyword = new ObservableField<>("");
    public ObservableField<String> state = new ObservableField<>("");
    public ObservableField<String> eventType = new ObservableField<>("");
    public ObservableField<String> eventTypeValue1 = new ObservableField<>("");
    public ObservableField<String> eventTypeValue2 = new ObservableField<>("");
    public ObservableField<String> eventTypeValue3 = new ObservableField<>("");
    public ObservableField<String> eventTypeValuEName = new ObservableField<>("");
    public ObservableField<String> eventTypeName2 = new ObservableField<>("");
    public ObservableField<String> deptId = new ObservableField<>("");
    public ObservableField<String> deptName = new ObservableField<>("");
    public ObservableField<String> ChildDeptId = new ObservableField<>("");
    public ObservableField<String> ChildDeptName = new ObservableField<>("");
    public ObservableField<String> eventStatus = new ObservableField<>("");
    public ObservableField<String> eventStatusValue = new ObservableField<>("");
    public ObservableField<String> eventTypeValue = new ObservableField<>("");
    public ObservableField<String> satrtTime = new ObservableField<>("");
    public ObservableField<String> endTime = new ObservableField<>("");
    public ObservableField<String> time = new ObservableField<>("");
    public ObservableField<String> position = new ObservableField<>("定位中...");
    public ObservableField<Double> longitude = new ObservableField<>(0.00);
    public ObservableField<Double> latitude = new ObservableField<>(0.00);
    public ObservableField<String> escalation = new ObservableField<>("");
    public ObservableField<String> webUrl = new ObservableField<>("");
    public ObservableField<String> userName = new ObservableField<>("");
    public ObservableField<String> userId = new ObservableField<>("");
    public ObservableField<String> from = new ObservableField<>("");
    public ObservableField<String> fromName = new ObservableField<>("");
    public ObservableField<String> content = new ObservableField<>("");
    public ObservableField<String> windDirection = new ObservableField<>("");
    public ObservableArrayList<String> fileList = new ObservableArrayList<>();
    public ObservableField<String> fromAddress = new ObservableField<>("");
    public ObservableField<String> toAddress = new ObservableField<>("");
    //public ObservableField<String> eventTypeValue = new ObservableField<>("");

    public SingleLiveData<EventBean> singleLiveData = new SingleLiveData<>();

    public void getData() {
        singleLiveData.setValue(null);
    }
}
